/*
 File: yacco2_err_symbols.h
 Date and Time: Sun Apr 20 13:54:30 2014 
*/
#include "yacco2.h"
#include "yacco2_T_enumeration.h"
#include "yacco2_k_symbols.h"
#ifndef __yacco2_err_symbols_h__
#define __yacco2_err_symbols_h__ 1
namespace NS_yacco2_err_symbols{
  using namespace NS_yacco2_T_enum;
  struct Err_nested_files_exceeded:public yacco2::CAbs_lr1_sym{

		public:
	Err_nested_files_exceeded(yacco2::INT Nested_file_cnt,std::string& File_name);
		yacco2::INT nested_cnt(){return nested_cnt_;};
		std::string* file_exceeded(){return &file_exceeded_;};
		private:
			yacco2::INT nested_cnt_;
			std::string file_exceeded_;
	
  };
  struct Err_no_end_of_code:public yacco2::CAbs_lr1_sym{
    Err_no_end_of_code();
  };
  struct Err_no_cmd_lne_data:public yacco2::CAbs_lr1_sym{
    Err_no_cmd_lne_data();
  };
  struct Err_no_filename:public yacco2::CAbs_lr1_sym{
    Err_no_filename();
  };
  struct Err_bad_filename:public yacco2::CAbs_lr1_sym{

		public:
		Err_bad_filename(std::string& File_name);
		Err_bad_filename(const char* File_name);
		std::string* file_name();
		private:
			std::string file_name_;
	
  };
  struct Err_bad_fsmheader_filename:public yacco2::CAbs_lr1_sym{

		public:
		Err_bad_fsmheader_filename(std::string& File_name);
		Err_bad_fsmheader_filename(const char* File_name);
		std::string* file_name();
		private:
			std::string file_name_;
	
  };
  struct Err_bad_fsmcpp_filename:public yacco2::CAbs_lr1_sym{

		public:
		Err_bad_fsmcpp_filename(std::string& File_name);
		Err_bad_fsmcpp_filename(const char* File_name);
		std::string* file_name();
		private:
			std::string file_name_;
	
  };
  struct Err_bad_fsmsym_filename:public yacco2::CAbs_lr1_sym{

		public:
		Err_bad_fsmsym_filename(std::string& File_name);
		Err_bad_fsmsym_filename(const char* File_name);
		std::string* file_name();
		private:
			std::string file_name_;
	
  };
  struct Err_bad_fsmtbl_filename:public yacco2::CAbs_lr1_sym{

		public:
		Err_bad_fsmtbl_filename(std::string& File_name);
		Err_bad_fsmtbl_filename(const char* File_name);
		std::string* file_name();
		private:
			std::string file_name_;
	
  };
  struct Err_bad_enum_filename:public yacco2::CAbs_lr1_sym{

		public:
		Err_bad_enum_filename(std::string& File_name);
		Err_bad_enum_filename(const char* File_name);
		std::string* file_name();
		private:
			std::string file_name_;
	
  };
  struct Err_bad_errors_hdrfilename:public yacco2::CAbs_lr1_sym{

		public:
		Err_bad_errors_hdrfilename(std::string& File_name);
		Err_bad_errors_hdrfilename(const char* File_name);
		std::string* file_name();
		private:
		std::string file_name_;
	
  };
  struct Err_bad_errors_impfilename:public yacco2::CAbs_lr1_sym{

		public:
		Err_bad_errors_impfilename(std::string& File_name);
		Err_bad_errors_impfilename(const char* File_name);
		std::string* file_name();
		private:
		std::string file_name_;
	
  };
  struct Err_bad_cmd_lne_opt:public yacco2::CAbs_lr1_sym{
    Err_bad_cmd_lne_opt();
  };
  struct Err_bad_int_no:public yacco2::CAbs_lr1_sym{
    Err_bad_int_no();
  };
  struct Err_bad_int_no_range:public yacco2::CAbs_lr1_sym{
    Err_bad_int_no_range();
  };
  struct Err_no_int_present:public yacco2::CAbs_lr1_sym{
    Err_no_int_present();
  };
  struct Err_bad_eos:public yacco2::CAbs_lr1_sym{
    Err_bad_eos();
  };
  struct Err_bad_esc:public yacco2::CAbs_lr1_sym{
    Err_bad_esc();
  };
  struct Err_comment_overrun:public yacco2::CAbs_lr1_sym{
    Err_comment_overrun();
  };
  struct Err_bad_char:public yacco2::CAbs_lr1_sym{

		public:
		Err_bad_char(CAbs_lr1_sym* Err_char);
		yacco2::CAbs_lr1_sym* bad_char()const;
		void zero_out_bad_char();
		private:
		yacco2::CAbs_lr1_sym* bad_char_;
	
  static void dtor_Err_bad_char(yacco2::VOIDP This,yacco2::VOIDP P);

  };
  struct Err_bad_univ_seq:public yacco2::CAbs_lr1_sym{

		public:
		Err_bad_univ_seq(unsigned long Value);
		unsigned long bad_univ_seq()const;
		private:unsigned long bad_univ_seq_;
	
  };
  struct Err_improper_closing_of_rules:public yacco2::CAbs_lr1_sym{
    Err_improper_closing_of_rules();
  };
  struct Err_no_identifier_present:public yacco2::CAbs_lr1_sym{
    Err_no_identifier_present();
  };
  struct Err_no_directive_present:public yacco2::CAbs_lr1_sym{
    Err_no_directive_present();
  };
  struct Err_duplicate_directive:public yacco2::CAbs_lr1_sym{
    Err_duplicate_directive();
  };
  struct Err_no_syntax_code_present:public yacco2::CAbs_lr1_sym{
    Err_no_syntax_code_present();
  };
  struct Err_no_open_parenthesis:public yacco2::CAbs_lr1_sym{
    Err_no_open_parenthesis();
  };
  struct Err_no_close_parenthesis:public yacco2::CAbs_lr1_sym{
    Err_no_close_parenthesis();
  };
  struct Err_no_fsm_id_present:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_id_present();
  };
  struct Err_no_fsm_id_string:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_id_string();
  };
  struct Err_no_fsm_filename_present:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_filename_present();
  };
  struct Err_no_fsm_filename_id_present:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_filename_id_present();
  };
  struct Err_no_comma_present:public yacco2::CAbs_lr1_sym{
    Err_no_comma_present();
  };
  struct Err_no_fsm_namespace_present:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_namespace_present();
  };
  struct Err_no_fsm_namespace_id_present:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_namespace_id_present();
  };
  struct Err_no_fsm_class_present:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_class_present();
  };
  struct Err_no_fsm_version_present:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_version_present();
  };
  struct Err_no_fsm_version_string:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_version_string();
  };
  struct Err_no_fsm_date_present:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_date_present();
  };
  struct Err_no_fsm_date_string:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_date_string();
  };
  struct Err_no_fsm_debug_present:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_debug_present();
  };
  struct Err_no_fsm_debug_string:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_debug_string();
  };
  struct Err_no_fsm_comments_present:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_comments_present();
  };
  struct Err_no_fsm_comments_string:public yacco2::CAbs_lr1_sym{
    Err_no_fsm_comments_string();
  };
  struct Err_fsm_debug_string_not_true_or_false:public yacco2::CAbs_lr1_sym{
    Err_fsm_debug_string_not_true_or_false();
  };
  struct Err_no_pp_thread_function_present:public yacco2::CAbs_lr1_sym{
    Err_no_pp_thread_function_present();
  };
  struct Err_no_pp_ctrl_mntor_kw_present:public yacco2::CAbs_lr1_sym{
    Err_no_pp_ctrl_mntor_kw_present();
  };
  struct Err_no_pp_fnct_id_present:public yacco2::CAbs_lr1_sym{
    Err_no_pp_fnct_id_present();
  };
  struct Err_no_pp_bndry_present:public yacco2::CAbs_lr1_sym{
    Err_no_pp_bndry_present();
  };
  struct Err_no_pp_la_bndary_expr_present:public yacco2::CAbs_lr1_sym{
    Err_no_pp_la_bndary_expr_present();
  };
  struct Err_no_syntax_code_end_present:public yacco2::CAbs_lr1_sym{
    Err_no_syntax_code_end_present();
  };
  struct Err_no_pp_code_present:public yacco2::CAbs_lr1_sym{
    Err_no_pp_code_present();
  };
  struct Err_no_pp_code_stc_present:public yacco2::CAbs_lr1_sym{
    Err_no_pp_code_stc_present();
  };
  struct Err_not_arbitration_code_kw:public yacco2::CAbs_lr1_sym{
    Err_not_arbitration_code_kw();
  };
  struct Err_no_open_brace:public yacco2::CAbs_lr1_sym{
    Err_no_open_brace();
  };
  struct Err_no_close_brace:public yacco2::CAbs_lr1_sym{
    Err_no_close_brace();
  };
  struct Err_no_constant_defs_present:public yacco2::CAbs_lr1_sym{
    Err_no_constant_defs_present();
  };
  struct Err_no_filename_present:public yacco2::CAbs_lr1_sym{
    Err_no_filename_present();
  };
  struct Err_no_filename_id_present:public yacco2::CAbs_lr1_sym{
    Err_no_filename_id_present();
  };
  struct Err_no_namespace_present:public yacco2::CAbs_lr1_sym{
    Err_no_namespace_present();
  };
  struct Err_no_namespace_id_present:public yacco2::CAbs_lr1_sym{
    Err_no_namespace_id_present();
  };
  struct Err_no_kdefs_code_present:public yacco2::CAbs_lr1_sym{
    Err_no_kdefs_code_present();
  };
  struct Err_no_kdefs_kw_present:public yacco2::CAbs_lr1_sym{
    Err_no_kdefs_kw_present();
  };
  struct Err_no_tdef_code_present:public yacco2::CAbs_lr1_sym{
    Err_no_tdef_code_present();
  };
  struct Err_no_sym_defs_present:public yacco2::CAbs_lr1_sym{
    Err_no_sym_defs_present();
  };
  struct Err_no_terminal_key_present:public yacco2::CAbs_lr1_sym{
    Err_no_terminal_key_present();
  };
  struct Err_dup_entry_in_alphabet:public yacco2::CAbs_lr1_sym{
    Err_dup_entry_in_alphabet();
  };
  struct Err_already_defined_AB:public yacco2::CAbs_lr1_sym{
    Err_already_defined_AB();
  };
  struct Err_already_defined_AD:public yacco2::CAbs_lr1_sym{
    Err_already_defined_AD();
  };
  struct Err_improper_directive:public yacco2::CAbs_lr1_sym{
    Err_improper_directive();
  };
  struct Err_no_sym_class_present:public yacco2::CAbs_lr1_sym{
    Err_no_sym_class_present();
  };
  struct Err_no_sym_class_id_present:public yacco2::CAbs_lr1_sym{
    Err_no_sym_class_id_present();
  };
  struct Err_zero_len_sym:public yacco2::CAbs_lr1_sym{
    Err_zero_len_sym();
  };
  struct Err_sym_tbl_full:public yacco2::CAbs_lr1_sym{
    Err_sym_tbl_full();
  };
  struct Err_sym_tbl_char_pool_full:public yacco2::CAbs_lr1_sym{
    Err_sym_tbl_char_pool_full();
  };
  struct Err_dup_entry_in_sym_table:public yacco2::CAbs_lr1_sym{
    Err_dup_entry_in_sym_table();
  };
  struct Err_subscript_out_of_range:public yacco2::CAbs_lr1_sym{
    Err_subscript_out_of_range();
  };
  struct Err_sym_tbl_nested_scope_stk_overflow:public yacco2::CAbs_lr1_sym{
    Err_sym_tbl_nested_scope_stk_overflow();
  };
  struct Err_sym_tbl_nested_scope_stk_underflow:public yacco2::CAbs_lr1_sym{
    Err_sym_tbl_nested_scope_stk_underflow();
  };
  struct Err_sym_tbl_context_buf_overflow:public yacco2::CAbs_lr1_sym{
    Err_sym_tbl_context_buf_overflow();
  };
  struct Err_report_card_ptr_0:public yacco2::CAbs_lr1_sym{
    Err_report_card_ptr_0();
  };
  struct Err_cannot_define_term_after_sufx_dir:public yacco2::CAbs_lr1_sym{
    Err_cannot_define_term_after_sufx_dir();
  };
  struct Err_dup_sufx_directive:public yacco2::CAbs_lr1_sym{
    Err_dup_sufx_directive();
  };
  struct Err_terminals_refs_def_after_terminals:public yacco2::CAbs_lr1_sym{
    Err_terminals_refs_def_after_terminals();
  };
  struct Err_terminals_refs_dup_def:public yacco2::CAbs_lr1_sym{
    Err_terminals_refs_dup_def();
  };
  struct Err_no_rule_name_present:public yacco2::CAbs_lr1_sym{
    Err_no_rule_name_present();
  };
  struct Err_no_sub_rule_present:public yacco2::CAbs_lr1_sym{
    Err_no_sub_rule_present();
  };
  struct Err_subrule_use_undefined_T:public yacco2::CAbs_lr1_sym{
    Err_subrule_use_undefined_T();
  };
  struct Err_stbl_entry_unknown:public yacco2::CAbs_lr1_sym{
    Err_stbl_entry_unknown();
  };
  struct Err_subrule_overrun:public yacco2::CAbs_lr1_sym{
    Err_subrule_overrun();
  };
  struct Err_stble_has_entry_but_not_a_rule:public yacco2::CAbs_lr1_sym{
    Err_stble_has_entry_but_not_a_rule();
  };
  struct Err_file_of_T_alphabet_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_file_of_T_alphabet_kw_not_present();
  };
  struct Err_emitfile_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_emitfile_kw_not_present();
  };
  struct Err_preamble_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_preamble_kw_not_present();
  };
  struct Err_preamble_srce_code_not_present:public yacco2::CAbs_lr1_sym{
    Err_preamble_srce_code_not_present();
  };
  struct Err_end_preamble_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_end_preamble_kw_not_present();
  };
  struct Err_cmd_line_chaffe:public yacco2::CAbs_lr1_sym{
    Err_cmd_line_chaffe();
  };
  struct Err_T_alphabet_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_T_alphabet_kw_not_present();
  };
  struct Err_T_alphabet_file_not_present:public yacco2::CAbs_lr1_sym{
    Err_T_alphabet_file_not_present();
  };
  struct Err_end_T_alphabet_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_end_T_alphabet_kw_not_present();
  };
  struct Err_no_terminals_in_T_alphabet_list:public yacco2::CAbs_lr1_sym{
    Err_no_terminals_in_T_alphabet_list();
  };
  struct Err_rotten_chr_in_T_alphabet:public yacco2::CAbs_lr1_sym{
    Err_rotten_chr_in_T_alphabet();
  };
  struct Err_transitive_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_transitive_kw_not_present();
  };
  struct Err_grammar_name_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_grammar_name_kw_not_present();
  };
  struct Err_namespace_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_namespace_kw_not_present();
  };
  struct Err_filename_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_filename_kw_not_present();
  };
  struct Err_threadname_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_threadname_kw_not_present();
  };
  struct Err_monolithic_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_monolithic_kw_not_present();
  };
  struct Err_no_of_T_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_no_of_T_kw_not_present();
  };
  struct Err_list_of_terminals_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_list_of_terminals_kw_not_present();
  };
  struct Err_no_list_of_trans_threads_kw:public yacco2::CAbs_lr1_sym{
    Err_no_list_of_trans_threads_kw();
  };
  struct Err_no_terminals_present_in_T_alphabet:public yacco2::CAbs_lr1_sym{
    Err_no_terminals_present_in_T_alphabet();
  };
  struct Err_transitive_value_bad:public yacco2::CAbs_lr1_sym{
    Err_transitive_value_bad();
  };
  struct Err_monolithic_value_bad:public yacco2::CAbs_lr1_sym{
    Err_monolithic_value_bad();
  };
  struct Err_grammar_name_value_not_present:public yacco2::CAbs_lr1_sym{
    Err_grammar_name_value_not_present();
  };
  struct Err_namespace_value_not_present:public yacco2::CAbs_lr1_sym{
    Err_namespace_value_not_present();
  };
  struct Err_threadname_value_not_present:public yacco2::CAbs_lr1_sym{
    Err_threadname_value_not_present();
  };
  struct Err_filename_value_not_present:public yacco2::CAbs_lr1_sym{
    Err_filename_value_not_present();
  };
  struct Err_no_of_T_value_not_present:public yacco2::CAbs_lr1_sym{
    Err_no_of_T_value_not_present();
  };
  struct Err_no_of_terminals_not_present:public yacco2::CAbs_lr1_sym{
    Err_no_of_terminals_not_present();
  };
  struct Err_end_list_native_T_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_end_list_native_T_kw_not_present();
  };
  struct Err_end_list_of_transitive_threads_kw_not_present:public yacco2::CAbs_lr1_sym{
    Err_end_list_of_transitive_threads_kw_not_present();
  };
  struct Err_no_of_native_Ts_in_list_not_equal:public yacco2::CAbs_lr1_sym{

		public:
		Err_no_of_native_Ts_in_list_not_equal(unsigned long Value);
		unsigned long no()const;
		private:unsigned long no_;
	
  };
  struct Err_no_of_threads_in_list_not_equal:public yacco2::CAbs_lr1_sym{

		public:
		Err_no_of_threads_in_list_not_equal(unsigned long No);
		unsigned long no()const;
		private:unsigned long no_;
	
  };
  struct Err_thread_refed_but_not_defined:public yacco2::CAbs_lr1_sym{

		public:
		Err_thread_refed_but_not_defined(CAbs_lr1_sym* Th_id);
		CAbs_lr1_sym* th_id();
		private:CAbs_lr1_sym* th_id_;
	
  };
  struct Err_bad_T_in_list:public yacco2::CAbs_lr1_sym{
    Err_bad_T_in_list();
  };
  struct Err_bad_th_in_list:public yacco2::CAbs_lr1_sym{
    Err_bad_th_in_list();
  };
  struct Err_already_defined_in_fsc_file:public yacco2::CAbs_lr1_sym{
    Err_already_defined_in_fsc_file();
  };
  struct Err_bad_thread_subscript:public yacco2::CAbs_lr1_sym{
    Err_bad_thread_subscript();
  };
  struct Err_not_a_keyword:public yacco2::CAbs_lr1_sym{
    Err_not_a_keyword();
  };
  struct Err_no_of_threads_not_present:public yacco2::CAbs_lr1_sym{
    Err_no_of_threads_not_present();
  };
  struct Err_bad_T_alphabet:public yacco2::CAbs_lr1_sym{
    Err_bad_T_alphabet();
  };
  struct Err_fsc_file_does_not_exist:public yacco2::CAbs_lr1_sym{
    Err_fsc_file_does_not_exist();
  };
  struct Err_filename_file_does_not_exist:public yacco2::CAbs_lr1_sym{
    Err_filename_file_does_not_exist();
  };
  struct Err_T_alphabet_file_does_not_exist:public yacco2::CAbs_lr1_sym{
    Err_T_alphabet_file_does_not_exist();
  };
  struct Err_emitfile_file_does_not_exist:public yacco2::CAbs_lr1_sym{
    Err_emitfile_file_does_not_exist();
  };
  struct Err_emitfile_file_not_present:public yacco2::CAbs_lr1_sym{
    Err_emitfile_file_not_present();
  };
  struct Err_fsc_cntl_file_not_present:public yacco2::CAbs_lr1_sym{
    Err_fsc_cntl_file_not_present();
  };
  struct Err_file_of_T_alphabet_not_present:public yacco2::CAbs_lr1_sym{
    Err_file_of_T_alphabet_not_present();
  };
  struct Err_epsilon_pass_thru:public yacco2::CAbs_lr1_sym{
    Err_epsilon_pass_thru();
  };
  struct Err_epsilon_pass_thru_no_Ts:public yacco2::CAbs_lr1_sym{
    Err_epsilon_pass_thru_no_Ts();
  };
  struct Err_rule_not_in_stbl:public yacco2::CAbs_lr1_sym{
    Err_rule_not_in_stbl();
  };
  struct Err_T_not_in_stbl:public yacco2::CAbs_lr1_sym{
    Err_T_not_in_stbl();
  };
  struct Err_bad_directive:public yacco2::CAbs_lr1_sym{
    Err_bad_directive();
  };
  struct Err_bad_term_in_la_expr:public yacco2::CAbs_lr1_sym{
    Err_bad_term_in_la_expr();
  };
  struct Err_empty_set_removal_in_la_expr:public yacco2::CAbs_lr1_sym{
    Err_empty_set_removal_in_la_expr();
  };
  struct Err_bad_operator_in_la_expr:public yacco2::CAbs_lr1_sym{
    Err_bad_operator_in_la_expr();
  };
  struct Err_not_a_lhs_kw:public yacco2::CAbs_lr1_sym{
    Err_not_a_lhs_kw();
  };
  struct Err_pp_la_boundary_attribute_not_fnd:public yacco2::CAbs_lr1_sym{
    Err_pp_la_boundary_attribute_not_fnd();
  };
  struct Err_already_processed_fsm_phase:public yacco2::CAbs_lr1_sym{
    Err_already_processed_fsm_phase();
  };
  struct Err_already_processed_pp_phase:public yacco2::CAbs_lr1_sym{
    Err_already_processed_pp_phase();
  };
  struct Err_already_processed_T_enum_phase:public yacco2::CAbs_lr1_sym{
    Err_already_processed_T_enum_phase();
  };
  struct Err_already_processed_error_phase:public yacco2::CAbs_lr1_sym{
    Err_already_processed_error_phase();
  };
  struct Err_already_processed_rc_phase:public yacco2::CAbs_lr1_sym{
    Err_already_processed_rc_phase();
  };
  struct Err_already_processed_lrk_phase:public yacco2::CAbs_lr1_sym{
    Err_already_processed_lrk_phase();
  };
  struct Err_already_processed_T_phase:public yacco2::CAbs_lr1_sym{
    Err_already_processed_T_phase();
  };
  struct Err_already_processed_rule_phase:public yacco2::CAbs_lr1_sym{
    Err_already_processed_rule_phase();
  };
  struct Err_not_T_for_rtned_token_from_th:public yacco2::CAbs_lr1_sym{
    Err_not_T_for_rtned_token_from_th();
  };
  struct Err_not_id_for_ns_in_th_stmt:public yacco2::CAbs_lr1_sym{
    Err_not_id_for_ns_in_th_stmt();
  };
  struct Err_not_id_for_th_name_in_th_stmt:public yacco2::CAbs_lr1_sym{
    Err_not_id_for_th_name_in_th_stmt();
  };
  struct Err_bad_th_qualifier:public yacco2::CAbs_lr1_sym{
    Err_bad_th_qualifier();
  };
  struct Err_not_dbl_colon_in_th_stmt:public yacco2::CAbs_lr1_sym{
    Err_not_dbl_colon_in_th_stmt();
  };
  struct Err_not_T_or_R_in_subrule_expr:public yacco2::CAbs_lr1_sym{
    Err_not_T_or_R_in_subrule_expr();
  };
  struct Err_not_T_or_R_or_eos_in_subrule_expr:public yacco2::CAbs_lr1_sym{
    Err_not_T_or_R_or_eos_in_subrule_expr();
  };
  struct Err_not_eos_in_subrule_expr:public yacco2::CAbs_lr1_sym{
    Err_not_eos_in_subrule_expr();
  };
  struct Err_invalid_logical_name:public yacco2::CAbs_lr1_sym{
    Err_invalid_logical_name();
  };
  struct Err_invalid_logical_value:public yacco2::CAbs_lr1_sym{
    Err_invalid_logical_value();
  };
  struct Err_duplicate_logical_name:public yacco2::CAbs_lr1_sym{
    Err_duplicate_logical_name();
  };
  struct Err_missing_terminals_refs_kw:public yacco2::CAbs_lr1_sym{
    Err_missing_terminals_refs_kw();
  };
  struct Err_missing_terminals_sufx_kw:public yacco2::CAbs_lr1_sym{
    Err_missing_terminals_sufx_kw();
  };
  struct Err_not_a_terminal_definition:public yacco2::CAbs_lr1_sym{
    Err_not_a_terminal_definition();
  };
  struct Err_missing_lrk_sufx_kw:public yacco2::CAbs_lr1_sym{
    Err_missing_lrk_sufx_kw();
  };
  struct ERR_sick_grammar:public yacco2::CAbs_lr1_sym{
    ERR_sick_grammar();
  };
  struct ERR_no_fsm_phrase:public yacco2::CAbs_lr1_sym{
    ERR_no_fsm_phrase();
  };
  struct ERR_no_T_enum_phrase:public yacco2::CAbs_lr1_sym{
    ERR_no_T_enum_phrase();
  };
  struct ERR_no_lrk_phrase:public yacco2::CAbs_lr1_sym{
    ERR_no_lrk_phrase();
  };
  struct ERR_no_rc_phrase:public yacco2::CAbs_lr1_sym{
    ERR_no_rc_phrase();
  };
  struct ERR_no_errors_phrase:public yacco2::CAbs_lr1_sym{
    ERR_no_errors_phrase();
  };
  struct ERR_no_terminals_phrase:public yacco2::CAbs_lr1_sym{
    ERR_no_terminals_phrase();
  };
  struct ERR_no_rules_phrase:public yacco2::CAbs_lr1_sym{
    ERR_no_rules_phrase();
  };
  struct Err_used_rule_but_undefined:public yacco2::CAbs_lr1_sym{
    Err_used_rule_but_undefined();
  };
  struct Err_rule_already_defined:public yacco2::CAbs_lr1_sym{
    Err_rule_already_defined();
  };
  struct Err_la_expr_calc_empty_set:public yacco2::CAbs_lr1_sym{
    Err_la_expr_calc_empty_set();
  };
  struct Err_no_close_brace_ending_rules_defs:public yacco2::CAbs_lr1_sym{
    Err_no_close_brace_ending_rules_defs();
  };
  struct Err_use_of_T_outside_Rules_construct:public yacco2::CAbs_lr1_sym{
    Err_use_of_T_outside_Rules_construct();
  };
  struct Err_not_kw_defining_grammar_construct:public yacco2::CAbs_lr1_sym{
    Err_not_kw_defining_grammar_construct();
  };
  struct Err_use_of_N_outside_Rules_construct:public yacco2::CAbs_lr1_sym{
    Err_use_of_N_outside_Rules_construct();
  };
  struct Err_misplaced_or_misspelt_Rule_or_T:public yacco2::CAbs_lr1_sym{
    Err_misplaced_or_misspelt_Rule_or_T();
  };
  struct Err_not_a_Rule:public yacco2::CAbs_lr1_sym{
    Err_not_a_Rule();
  };
  struct Err_empty_file:public yacco2::CAbs_lr1_sym{
    Err_empty_file();
  };
  struct Err_not_lhs_pcnrl_mntr:public yacco2::CAbs_lr1_sym{
    Err_not_lhs_pcnrl_mntr();
  };
}//namespace
#endif
